Skip to content

Network Report ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
emailNetworkReportLaterPOSTEmail Network Report Later (deprecated)
emailNetworkReportSchedulePOSTEmail Network Report Schedule (deprecated)

emailNetworkReportLater ​

POST /openapi/v1/{omadacId}/sites/{siteId}/networkReport/oneTime

Deprecated

This operation is deprecated.

Email Network Report Later

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema NetworkReportScheduleLaterOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable periodic report generation and sending.
tabintegeryesReport tab, 0-summary, 1-wireless summary, 2-wired summary, 3-wireless devices,4-wired devices, 5-ssid, 6-client.
cardsstringyesAccording to the Tab, fill in the cards parameter with the corresponding json string. The string is a json array whose elements represent a single card. The type and granularity parameters for the cards cannot be removed. Only the granularity value can be changed, which can be 0/1/2 [0:5min, 1:hourly, 2:daily].Summary:"[{\"type\":\"apSummary\"},{\"type\":\"ssidSummary\"},{\"type\":\"bandSummary\"},{\"type\":\"switchSummary\"},{\"type\":\"deviceSummary\"},{\"type\":\"clientsSummary\"},{\"type\":\"trafficSummary\",\"granularity\":0},{\"type\":\"trafficDistribution\",\"granularity\":0},{\"type\":\"alertSummary\"},{\"type\":\"eventSummary\"},{\"type\":\"appFlowSummary\"}]";Wireless Summary:"[{\"type\":\"onlineOfflineAp\",\"granularity\":0},{\"type\":\"apSummary\"},{\"type\":\"ssidSummary\"},{\"type\":\"bandSummary\"},{\"type\":\"topTrafficAp\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"apAlert\"},{\"type\":\"apRebootTimes\"},{\"type\":\"wirelessOverview\"},{\"type\":\"wirelessTxRxTraffic\",\"granularity\":0},{\"type\":\"wirelessBandTraffic\",\"granularity\":0},{\"type\":\"wirelessClientsActivities\",\"granularity\":0}]";Wired Summary:"[{\"type\":\"wiredOverview\"},{\"type\":\"ispLoad\"},{\"type\":\"onlineOfflineSwitch\",\"granularity\":0},{\"type\":\"wiredClientsActivities\",\"granularity\":0},{\"type\":\"switchSummary\"},{\"type\":\"topTrafficSwitch\",\"granularity\":0},{\"type\":\"topPoeUtilSwitch\",\"granularity\":0},{\"type\":\"topPoePowerSwitch\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0},{\"type\":\"switchAlert\"},{\"type\":\"switchRebootTimes\"}]";Wireless Devices:"[{\"type\":\"onlineOfflineAp\",\"granularity\":0},{\"type\":\"apSummary\"},{\"type\":\"topTrafficAp\",\"granularity\":0},{\"type\":\"topCpuUtilAp\",\"granularity\":0},{\"type\":\"topMemUtilAp\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"apAlert\"},{\"type\":\"apRebootTimes\"}]";Wired Devices:"[{\"type\":\"onlineOfflineSwitch\",\"granularity\":0},{\"type\":\"switchSummary\"},{\"type\":\"gatewayCpuMemUtil\",\"granularity\":0},{\"type\":\"topTrafficSwitch\",\"granularity\":0},{\"type\":\"topCpuUtilSwitch\",\"granularity\":0},{\"type\":\"topMemUtilSwitch\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0},{\"type\":\"switchAlert\"},{\"type\":\"switchRebootTimes\"}]";SSID:"[{\"type\":\"ssidSummary\"},{\"type\":\"topTrafficSsid\",\"granularity\":0},{\"type\":\"topClientNumSsid\",\"granularity\":0},{\"type\":\"ssidNumActivities\",\"granularity\":0}]";Clients:"[{\"type\":\"clientDistribution\"},{\"type\":\"clientNumActivities\",\"granularity\":0},{\"type\":\"wirelessClientsActivities\",\"granularity\":0},{\"type\":\"guestNumActivities\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0}]";
reportNamestringyesReport Name.
reportTypeintegeryesType of the file to be exported [0:PDF,1:CSV].
emailListarray<string>yesEmail List. Example:["11@qq.com","11@qq.com"]
minuteintegeryesThe value ranges from 0 to 59.
hourintegeryesThe value ranges from 0 to 23.
timeintegeryesThe timestamp of the year, month, and day is generated.
startintegeryesThe start timestamp of the query for the data needed to generate the report.
endintegeryesThe end timestamp of the query for the data needed to generate the report.
json
// omada_call_operation
{
  "operationId": "emailNetworkReportLater",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set the timing task configuration that send reports latterly.This interface has been deprecated. Please use the following interface instead: Export report once later
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

emailNetworkReportSchedule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/networkReport/schedule

Deprecated

This operation is deprecated.

Email Network Report Schedule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema NetworkReportScheduleOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable periodic report generation and sending.
tabintegeryesReport tab, 0-summary, 1-wireless summary, 2-wired summary, 3-wireless devices,4-wired devices, 5-ssid, 6-client.
reportNamestringyesParameter [reportName] should be a string of 1 to 64 characters without any space at the beginning or end.
reportTypeintegeryesType of the file to be exported [0:PDF,1:CSV].
emailListarray<string>yesEmail List. Example:["11@qq.com","11@qq.com"]. If 'enable' is false, the parameter must be [].
cardsstringyesAccording to the Tab, fill in the cards parameter with the corresponding string. The string is a json array whose elements represent a single card. The type and granularity parameters for the cards cannot be removed. Only the granularity value can be changed, which can be 0/1/2 [0:5min, 1:hourly, 2:daily].Summary:"[{\"type\":\"apSummary\"},{\"type\":\"ssidSummary\"},{\"type\":\"bandSummary\"},{\"type\":\"switchSummary\"},{\"type\":\"deviceSummary\"},{\"type\":\"clientsSummary\"},{\"type\":\"trafficSummary\",\"granularity\":0},{\"type\":\"trafficDistribution\",\"granularity\":0},{\"type\":\"alertSummary\"},{\"type\":\"eventSummary\"},{\"type\":\"appFlowSummary\"}]";Wireless Summary:"[{\"type\":\"onlineOfflineAp\",\"granularity\":0},{\"type\":\"apSummary\"},{\"type\":\"ssidSummary\"},{\"type\":\"bandSummary\"},{\"type\":\"topTrafficAp\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"apAlert\"},{\"type\":\"apRebootTimes\"},{\"type\":\"wirelessOverview\"},{\"type\":\"wirelessTxRxTraffic\",\"granularity\":0},{\"type\":\"wirelessBandTraffic\",\"granularity\":0},{\"type\":\"wirelessClientsActivities\",\"granularity\":0}]";Wired Summary:"[{\"type\":\"wiredOverview\"},{\"type\":\"ispLoad\"},{\"type\":\"onlineOfflineSwitch\",\"granularity\":0},{\"type\":\"wiredClientsActivities\",\"granularity\":0},{\"type\":\"switchSummary\"},{\"type\":\"topTrafficSwitch\",\"granularity\":0},{\"type\":\"topPoeUtilSwitch\",\"granularity\":0},{\"type\":\"topPoePowerSwitch\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0},{\"type\":\"switchAlert\"},{\"type\":\"switchRebootTimes\"}]";Wireless Devices:"[{\"type\":\"onlineOfflineAp\",\"granularity\":0},{\"type\":\"apSummary\"},{\"type\":\"topTrafficAp\",\"granularity\":0},{\"type\":\"topCpuUtilAp\",\"granularity\":0},{\"type\":\"topMemUtilAp\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"apAlert\"},{\"type\":\"apRebootTimes\"}]";Wired Devices:"[{\"type\":\"onlineOfflineSwitch\",\"granularity\":0},{\"type\":\"switchSummary\"},{\"type\":\"gatewayCpuMemUtil\",\"granularity\":0},{\"type\":\"topTrafficSwitch\",\"granularity\":0},{\"type\":\"topCpuUtilSwitch\",\"granularity\":0},{\"type\":\"topMemUtilSwitch\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0},{\"type\":\"switchAlert\"},{\"type\":\"switchRebootTimes\"}]";SSID:"[{\"type\":\"ssidSummary\"},{\"type\":\"topTrafficSsid\",\"granularity\":0},{\"type\":\"topClientNumSsid\",\"granularity\":0},{\"type\":\"ssidNumActivities\",\"granularity\":0}]";Clients:"[{\"type\":\"clientDistribution\"},{\"type\":\"clientNumActivities\",\"granularity\":0},{\"type\":\"wirelessClientsActivities\",\"granularity\":0},{\"type\":\"guestNumActivities\",\"granularity\":0},{\"type\":\"topClientNumAp\",\"granularity\":0},{\"type\":\"topClientNumSwitch\",\"granularity\":0}]";
timingTypeintegeryesFrequency of executing schedule task Daily(1), Weekly(2), Monthly(3).
hourintegeryesThe value ranges from 0 to 23.
minuteintegeryesThe value ranges from 0 to 59.
dayOfWeekintegernoIf timing type is weekly, enter and only enter [dayOfWeek].The value ranges from 0 to 6.('0' indicate Sunday)
dayOfMonthintegernoIf timing type is monthly, enter and only enter [dayOfMonth].The value ranges from 1 to 31. Schedule will fail on the day of the monthif you select 29th,30th,31th but the month doesn't have these days.
json
// omada_call_operation
{
  "operationId": "emailNetworkReportSchedule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set the timing task configuration that send reports periodically.This interface has been deprecated. Please use the following interface instead: Export report for scheduler
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.